Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
nguyenthaodang

có cách nào lấy được tọa độ của các thực thể không?

Các bài được khuyến nghị

vd em có một bản vẽ với nhiều kiểu đường như: line, acr, circle.

mục đích: tự tìm tất cả tọa độ tâm của các đường tròn có trong bản vẽ.

 

Liệu có thể làm như thế được không nhỉ.

 

đang phải giải quyết một bài toán huynh nào có ý tưởng chỉ giúp với.

 

có một tập hợp các circle nằm trên hình chiếu đứng . giờ muốn tìm tọa độ của mấy đường tròn trên để làm cơ sở vẽ hình chiếu cạnh và hình chiếu bằng. có ai có ý tưởng gì ko giúp mình vơi

 

cảm ơn đã quan tâm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vd em có một bản vẽ với nhiều kiểu đường như: line, acr, circle.

mục đích: tự tìm tất cả tọa độ tâm của các đường tròn có trong bản vẽ.

 

Liệu có thể làm như thế được không nhỉ.

 

đang phải giải quyết một bài toán huynh nào có ý tưởng chỉ giúp với.

 

có một tập hợp các circle nằm trên hình chiếu đứng . giờ muốn tìm tọa độ của mấy đường tròn trên để làm cơ sở vẽ hình chiếu cạnh và hình chiếu bằng. có ai có ý tưởng gì ko giúp mình vơi

 

cảm ơn đã quan tâm

 

Xem ở đây: AutoCAD & Excel

 

Tính năng đặc biệt của chương trình: miễn phí.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn anhcos đã quan tâm ! anh có thể share đoạn code hoặc nói về hướng làm lấy tọa độ của một block or line không ạ? chứ cái chương trình cài đặt kia rồi thì em ko ứng dụng được vào bt của em. em làm hoàn toàn trên vba mà

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anh có thể share đoạn code hoặc nói về hướng làm lấy tọa độ của một block or line không ạ? chứ cái chương trình cài đặt kia rồi thì em ko ứng dụng được vào bt của em. em làm hoàn toàn trên vba mà

 

Tôi chưa viết bằng VBA cho CAD bao giờ, nên ngôn ngữ sẽ khác một chút. Bạn phải tự chuyển qua thôi.

 

Giả sử ent_selset là tập chọn các đối tượng có được khi chọn đối tượng từ AutoCAD
Dim ent_selset as object 'cái này VBA là SelectionSet

'Duyệt qua từng thực thể trong tập chọn
For i = 0 to ent_selset.Count - 1
 select case ent_selset.Item(i).ObjectName
case "AcDbLine"
Dim diem_dau() as double  = ent_selset.Item(i).StartPoint
Dim diem_cuoi() as double  = ent_selset.Item(i).EndPoint

case "AcDbCircle"
Dim diem_tam() as double  = ent_selset.Item(i).Center
Dim ban_kinh as double  = ent_selset.Item(i).Radius

case "AcDbText"
Dim vi_tri_text() as double  = ent_selset.Item(i).InsertionPoint or TextAlignmentPoint 
Dim noi_dung_text as string  = ent_selset.Item(i).TextString

...................
Phải đọc AutoCAD help: file acad_dev.chm
...................

 end select
Next i

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

thanks anhcos!

 

có một số vấn đề về đoạn code như sau^^

 

đoạn code trên hầu như sai về cú pháp nhưng em hiểu được và chuyển được sang vba. Khổ một nỗi là vd như đoạn sau chẳng hạn

 

case "AcDbLine"

Dim diem_dau() as double = ent_selset.Item(i).StartPoint

Dim diem_cuoi() as double = ent_selset.Item(i).EndPoint

 

trong vba e ko thể nào tìm được cái thuộc tính statpoint và endpoint

 

mong mọi người giúp đỡ tiếp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trong vba e ko thể nào tìm được cái thuộc tính statpoint và endpoint

 

Chưa hiểu ý của bạn ở chỗ này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanks anhcos!

............

trong vba e ko thể nào tìm được cái thuộc tính statpoint và endpoint

.............

Tham khao :

- Xác định đối tượng và toạ độ điểm http://www.cadviet.com/forum/index.php?sho...ost&p=35987

- xuất toạ độ từ CAD sang EXCELL http://www.cadviet.com/forum/index.php?sho...ost&p=78666

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tham khao :

- Xác định đối tượng và toạ độ điểm http://www.cadviet.com/forum/index.php?sho...ost&p=35987

- xuất toạ độ từ CAD sang EXCELL http://www.cadviet.com/forum/index.php?sho...ost&p=78666

thanks gia_bach

 

đã đọc bài của anh phantuhuong! quả là rất thú vị giúp mình được rất nhiều việc

 

nhân đây có huynh nào biết cách explode một blockrefercen ko nhỉ, em code mãi mà ko thành công

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×